const Sequelize = require("sequelize");
const sequelizeConnect = require("../connection/db");

const CustomFieldsTypes = sequelizeConnect.define("CustomFieldsTypes", {
  id: {
    type: Sequelize.UUID,
    defaultValue: Sequelize.UUIDV4,
    primaryKey: true,
    allowNull: false,
  },
  data_input_type: {
    type: Sequelize.STRING,
    allowNull: false,
  },
  data_field_type: {
    type: Sequelize.STRING,
    allowNull: false,
  },
});

module.exports = CustomFieldsTypes;
